# $Revision: 1.9 $, $Date: 2010/08/21 19:08:34 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Text_Wiki_Mediawiki
Summary:	%{_pearname} - Mediawiki parser for Text_Wiki
Summary(pl.UTF-8):	%{_pearname} - parser Mediawiki dla Text_Wiki
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	07971b99bde81f062054c895404bf9ba
URL:		http://pear.php.net/package/Text_Wiki_Mediawiki/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Text_Wiki >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parses Mediawiki mark-up to tokenize the text for Text_Wiki
renderings. You can see a reference for this syntax here:
http://meta.wikimedia.org/wiki/Help:Editing#The_wiki_markup

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa przetwarza oznaczenia Mediawiki w celu podziału tekstu z
przeznaczeniem dla Text_Wiki. Opis składni można znaleźć pod adresem:
http://meta.wikimedia.org/wiki/Help:Editing#The_wiki_markup

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Text/Wiki/Mediawiki.php
%{php_pear_dir}/Text/Wiki/Parse/Mediawiki

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Text_Wiki_Mediawiki.spec,v $
Revision 1.9  2010/08/21 19:08:34  glen
- updated deps with pearize.sh
- release 2

Revision 1.8  2010/08/20 13:10:07  glen
- updated to: 0.2.0

Revision 1.7  2008/01/31 12:16:11  glen
- rel 2

Revision 1.6  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.4  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.3  2006/04/24 10:06:00  adamg
- updated to 0.1.0

Revision 1.2  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.1  2006/01/12 10:16:04  adamg
- new

